net.minecraft.client.model

## Class ModelBox

- java.lang.Object
- - net.minecraft.client.model.ModelBox

-     public class ModelBox
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `field_78247_g`
    `float` | `posX1`
    `float` | `posX2`
    `float` | `posY1`
    `float` | `posY2`
    `float` | `posZ1`
    `float` | `posZ2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelBox(ModelRenderer par1ModelRenderer, int par2, int par3, float par4, float par5, float par6, int par7, int par8, int par9, float par10)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModelBox` | `func_78244_a(java.lang.String par1Str)`
    `void` | `render(Tessellator par1Tessellator, float par2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### posX1

          public final float posX1

    - #### posY1

          public final float posY1

    - #### posZ1

          public final float posZ1

    - #### posX2

          public final float posX2

    - #### posY2

          public final float posY2

    - #### posZ2

          public final float posZ2

    - #### field_78247_g

          public java.lang.String field_78247_g

  - ### Constructor Detail

    - #### ModelBox

          public ModelBox(ModelRenderer par1ModelRenderer,
                  int par2,
                  int par3,
                  float par4,
                  float par5,
                  float par6,
                  int par7,
                  int par8,
                  int par9,
                  float par10)

  - ### Method Detail

    - #### render

          public void render(Tessellator par1Tessellator,
                    float par2)

    - #### func_78244_a

          public ModelBox func_78244_a(java.lang.String par1Str)